package com.usky.iot.service;

import com.usky.iot.domain.BaseBuildEngineering;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.BaseBuildUnit;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fu
 * @since 2026-02-03
 */
public interface BaseBuildEngineeringService extends CrudService<BaseBuildEngineering> {
    void add(BaseBuildEngineering baseBuildEngineering);

    void update(BaseBuildEngineering baseBuildEngineering);

    void remove(Integer id);

    List<BaseBuildEngineering> baseBuildEngineeringList(Integer id, Integer buildId);
}
